<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/template.xhtml"
                >

    <ui:define name="conteudo">

        <h:form id="formListagem">
            <p:panel header="Lista de Clientes">
                <p:dataTable id="tabela" emptyMessage="Nenhum registro encontrado."
                             paginator="true" value="#{clienteBean.clientes}" var="cliente" rows="5">
                    <f:facet name="header">
                        <p:commandButton value="Novo" actionListener="#{clienteBean.novo()}" oncomplete="PF('dialogo').show();"
                                         update=":mensagem :formCadastro:painel">

                            <f:actionListener type="org.omnifaces.eventlistener.ResetInputAjaxActionListener"/>

                        </p:commandButton>
                    </f:facet>

                    <p:column headerText="Nome" style="text-align: center;">
                        <h:outputText value="#{cliente.nome}" />
                    </p:column>

                    <p:column headerText="Telefone" style="text-align: center;">
                        <h:outputText value="#{cliente.telefone}" />
                    </p:column>

                    <p:column headerText="Email" style="text-align: center;">
                        <h:outputText value="#{cliente.email}" />
                    </p:column>

                    <p:column headerText="Opções" style="text-align: center;">
                        <p:commandButton icon="ui-icon-trash" actionListener="#{clienteBean.excluir}" update=":mensagem :formListagem:tabela" >
                            <p:confirm header="Confirmação" message="Deseja excluir o cadastro?" icon="ui-icon-alert" />
                            <f:attribute name="clienteSelecionado" value="#{cliente}" />

                        </p:commandButton> 


                        <p:commandButton icon="ui-icon-pencil" actionListener="#{clienteBean.editar}" update=":mensagem :formCadastro:painel" oncomplete="PF('dialogo').show();">
                            <f:attribute name="clienteSelecionado" value="#{cliente}" />
                            <f:actionListener type="org.omnifaces.eventlistener.ResetInputAjaxActionListener" />
                        </p:commandButton>  
                    </p:column>
                </p:dataTable>

                <p:confirmDialog global="true">
                    <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />

                    <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                </p:confirmDialog>    
            </p:panel>
        </h:form>

        <p:dialog header="Clientes - Cadastro" widgetVar="dialogo" draggable="true" resizable="false" closable="false">
            <h:form id="formCadastro" enctype="multipart/form-data">
                <h:panelGrid id="painel" columns="2">

                    <p:outputLabel value="Nome:" />
                    <p:inputText maxlength="50" size="30" value="#{clienteBean.cliente.nome}" required="true"
                                 requiredMessage="O campo 'descrição é obrigatório" />


                    <p:outputLabel value="Telefone:" />
                    <p:inputText maxlength="50" size="30" value="#{clienteBean.cliente.telefone}" required="true"
                                 requiredMessage="O campo 'descrição é obrigatório" />


                    <p:outputLabel value="Email:" />
                    <p:inputText maxlength="50" size="30" value="#{clienteBean.cliente.email}" required="true"
                                 requiredMessage="O campo 'descrição é obrigatório" />

                </h:panelGrid>


                <h:panelGrid columns="2">
                    <p:commandButton value="Salvar" actionListener="#{clienteBean.salvar}" update=":mensagem :formCadastro:painel :formListagem:tabela" oncomplete="PF('dialogo').hide();" />

                    <p:commandButton value="Fechar" oncomplete="PF('dialogo').hide();" />

                </h:panelGrid>
            </h:form>
        </p:dialog>












    </ui:define>

</ui:composition>
